import request from '@/utils/request'

// 筛选商品
export function goodsAttr(data) {
  return request({
    url: '/good/get_goods_attr',
    method: 'get',
    data
  })
}

// 上传主图
export function uploadImage(data) {
  return request({
    url: '/goods/uploadgoodsimage',
    method: 'post',
    data
  })
}

// // 添加商品
// export function addGoods(data) {
//   return request({
//     url: '/goods/uploadgoods',
//     method: 'post',
//     data
//   })
// }

// 添加商品
export function addGoods(data) {
  return request({
    url: '/good/add_good',
    method: 'post',
    data
  })
}

// 添加商品
export function updateGoods(data) {
  return request({
    url: '/good/update_good',
    method: 'post',
    data
  })
}

// 获取商品列表
// export function getList(data) {
//   return request({
//     url: '/goods/getgoodslist',
//     method: 'get',
//     params: data
//   })
// }
export function getList(data) {
  return request({
    url: '/good/good_list',
    method: 'get',
    params: data
  })
}

// 获取商品属性
export function getTypeList(data) {
  return request({
    url: '/good/good_attr',
    method: 'get',
    params: data
  })
}

// 获取商品属性
export function getAddType(data) {
  return request({
    url: '/good/add_good_attr',
    method: 'get',
    params: data
  })
}

// 上下架商品
export function upDownGoods(data) {
  return request({
    url: '/goods/shelvedgoods',
    method: 'post',
    data
  })
}

// 删除商品
export function deleteGoods(data) {
  return request({
    url: '/goods/destorygoods',
    method: 'post',
    data
  })
}

// // 查看商品详情
// export function getInfo(data) {
//   return request({
//     url: '/goods/getgoodsdetails',
//     method: 'get',
//     params: data
//   })
// }

// 查看商品详情
export function getInfo(data) {
  return request({
    url: '/good/good_detail',
    method: 'get',
    params: data
  })
}

// 查看商品详情
export function clearUpDown(data) {
  return request({
    url: '/good/destory_time',
    method: 'get',
    params: data
  })
}

// 修改商品信息
export function editGoods(data) {
  return request({
    url: '/goods/updategoods',
    method: 'post',
    data
  })
}

// 修改商品信息添加尺寸
export function addSize(data) {
  return request({
    url: '/good/add_size',
    method: 'get',
    params: data
  })
}

// 修改商品信息删除尺寸
export function delSize(data) {
  return request({
    url: '/good/destory_size',
    method: 'get',
    params: data
  })
}

// 批量上下架
export function upDownList(data) {
  return request({
    url: '/good/goods_up',
    method: 'post',
    data
  })
}

// 批量定时上下架
export function startEndList(data) {
  return request({
    url: '/good/good_timing',
    method: 'post',
    data
  })
}

// 获取排序商品列表
export function getSortList(data) {
  return request({
    url: '/good/get_good_attr',
    method: 'get',
    data
  })
}

// 商品排序
export function sortGood(data) {
  return request({
    url: '/good/good_sort',
    method: 'post',
    data
  })
}
